"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /* eslint-disable */


/**
 * Intederminate spinner used for page-level loading eg. login, logout
 * ```javascript
 * import React from 'react';
 * import { LogoProgress } from 'weaveworks-ui-components'
 *
 * React.render(
 *   <LogoProgress />
 * );
 * ```
 */
var LogoProgress = function (_React$Component) {
  _inherits(LogoProgress, _React$Component);

  function LogoProgress() {
    _classCallCheck(this, LogoProgress);

    return _possibleConstructorReturn(this, (LogoProgress.__proto__ || Object.getPrototypeOf(LogoProgress)).apply(this, arguments));
  }

  _createClass(LogoProgress, [{
    key: "render",
    value: function render() {
      var _props$size = this.props.size,
          size = _props$size === undefined ? 150 : _props$size;

      var styles = {
        width: size,
        height: size
      };

      return _react2.default.createElement(
        "div",
        { style: styles },
        _react2.default.createElement(
          "div",
          { className: "weave-logo-progress" },
          _react2.default.createElement(
            "svg",
            null,
            _react2.default.createElement(
              "g",
              null,
              _react2.default.createElement("path", { className: "st0 a", d: "M43.2,54.1L1.1,91.7c1.9,7.6,4.9,14.7,8.9,21.1l33.2-29.7V54.1z" }),
              _react2.default.createElement("path", { className: "st1 b", d: "M83.5,119.9L83.5,119.9l-21.7,19.4v7.9c3.6,0.5,7.3,0.8,11.1,0.8c4.4,0,8.7-0.4,12.9-1.1l58-51.8 c2-6.7,3-13.7,3-21c0-3.4-0.3-6.8-0.7-10.1L83.5,119.9z" }),
              _react2.default.createElement("path", { className: "st2 c", d: "M38.5,139.2l103.7-92.6c-2.8-6.9-6.6-13.4-11.2-19.1l-109,99.7L38.5,139.2z" }),
              _react2.default.createElement("path", { className: "st1 d", d: "M83.7,147.2V0.8C80.2,0.3,76.7,0,73.1,0C69.3,0,65.6,0.3,62,0.8v146.3L83.7,147.2z" }),
              _react2.default.createElement("path", { className: "st0 e", d: "M43.2,83.2l75.4-67.4c-6-4.7-12.7-8.5-20-11.2L43.2,54.1V83.2z" }),
              _react2.default.createElement("path", { className: "st2 f", d: "M43.2,109.8v-4.3V6.2c-8.1,3.6-15.4,8.5-21.7,14.6v106.4c4.9,4.7,10.4,8.8,16.4,12l0,0L43.2,109.8z" })
            )
          )
        )
      );
    }
  }]);

  return LogoProgress;
}(_react2.default.Component);

exports.default = LogoProgress;